| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Functions
Updating all elements with element extracted from vector
Vector Conversions » Broadcast

## Overview

Extracts element "idx" from vector "v" and broadcasts its value to all lanes of the destination vector.

## Functions
v16cint16 | broadcast_elem (v16cint16 v, int idx)
v16float | broadcast_elem (v16float v, int idx)
v16int32 | broadcast_elem (v16int32 v, int idx)
v16uint32 | broadcast_elem (v16uint32 v, int idx)
v32bfloat16 | broadcast_elem (v32bfloat16 v, int idx)
v32int16 | broadcast_elem (v32int16 v, int idx)
v32uint16 | broadcast_elem (v32uint16 v, int idx)
v64int8 | broadcast_elem (v64int8 v, int idx)
v64uint8 | broadcast_elem (v64uint8 v, int idx)
v8cint32 | broadcast_elem (v8cint32 v, int idx)
v16int32 | broadcast_elem_s64 (v16int32 v, int idx)
v16uint32 | broadcast_elem_s64 (v16uint32 v, int idx)

## Function Documentation

## ◆ broadcast_elem() [1/10]

v16cint16 broadcast_elem | ( | v16cint16 | v,
|  | int | idx )

## ◆ broadcast_elem() [2/10]

v16float broadcast_elem | ( | v16float | v,
|  | int | idx )

## ◆ broadcast_elem() [3/10]

v16int32 broadcast_elem | ( | v16int32 | v,
|  | int | idx )

## ◆ broadcast_elem() [4/10]

v16uint32 broadcast_elem | ( | v16uint32 | v,
|  | int | idx )

## ◆ broadcast_elem() [5/10]

v32bfloat16 broadcast_elem | ( | v32bfloat16 | v,
|  | int | idx )

## ◆ broadcast_elem() [6/10]

v32int16 broadcast_elem | ( | v32int16 | v,
|  | int | idx )

## ◆ broadcast_elem() [7/10]

v32uint16 broadcast_elem | ( | v32uint16 | v,
|  | int | idx )

## ◆ broadcast_elem() [8/10]

v64int8 broadcast_elem | ( | v64int8 | v,
|  | int | idx )

## ◆ broadcast_elem() [9/10]

v64uint8 broadcast_elem | ( | v64uint8 | v,
|  | int | idx )

## ◆ broadcast_elem() [10/10]

v8cint32 broadcast_elem | ( | v8cint32 | v,
|  | int | idx )

## ◆ broadcast_elem_s64() [1/2]

v16int32 broadcast_elem_s64 | ( | v16int32 | v,
|  | int | idx )

## ◆ broadcast_elem_s64() [2/2]

v16uint32 broadcast_elem_s64 | ( | v16uint32 | v,
|  | int | idx )